package com.steering.pss.qcm.model;

/**
 * 化学元素标准索引表 实体类
 * 
 * @author Administrator PDY 2014-12-09
 * 
 */
public class StdCicObject {
	// 成分标准索引号(CICN000001)
	private String cic;

	// 产品规范码
	private String psc;

	// 冶金规范码
	private String msc;

	// 标准类型(G:国标/国际/协议,K:客户,N:内控)
	private String stdsStyle;

	// 内控标准代码
	private String stdCodeNk;

	// 内控标准名称
	private String stdNameNk;

	// 适用工序代码(内控用)
	private String processCode;

	// 适用工序名称(内控用)
	private String processDesc;

	// 适用钢种代码(内控用)
	private String gradeCode;

	// 适用钢种名称(内控用)
	private String gradeName;

	// 成品成分偏差标准号代码
	private String stdCode;

	// 成品成分偏差标准号名称
	private String stdName;

	// 创建人
	private String createName;

	// 创建时间
	private String createTime;

	// 修改人
	private String updateName;

	// 修改时间
	private String updateTime;

	// 删除人
	private String deleteName;

	// 删除时间
	private String deleteTime;

	// 有效标志(1:有效，0:无效)
	private String validflag;

	// 备注
	private String memo;
	private String modelCode;
	private String modelDesc;
	private String producHead;
	private String codeJg;
	private String steelcodeNk;
	private String steelnameNk;
	private String modelCodeNk;
	private String modelNameNk;
	private String produccodeNk;
	private String producnameNk;
	private String smeltingCnt;
	private String productCnt;
	private String minD = "";
	private String maxD = "";
	private String minH = "";
	private String maxH = "";
	private String minDSign = "";
	private String maxDSign = "";
	private String minHSign = "";
	private String maxHSign = "";
	private String rate = "";

	public String getCic() {
		return cic;
	}

	public void setCic(String cic) {
		this.cic = cic;
	}

	public String getPsc() {
		return psc;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public String getMsc() {
		return msc;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public String getStdsStyle() {
		return stdsStyle;
	}

	public void setStdsStyle(String stdsStyle) {
		this.stdsStyle = stdsStyle;
	}

	public String getStdCodeNk() {
		return stdCodeNk;
	}

	public void setStdCodeNk(String stdCodeNk) {
		this.stdCodeNk = stdCodeNk;
	}

	public String getStdNameNk() {
		return stdNameNk;
	}

	public void setStdNameNk(String stdNameNk) {
		this.stdNameNk = stdNameNk;
	}

	public String getProcessCode() {
		return processCode;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public String getProcessDesc() {
		return processDesc;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public String getGradeCode() {
		return gradeCode;
	}

	public void setGradeCode(String gradeCode) {
		this.gradeCode = gradeCode;
	}

	public String getGradeName() {
		return gradeName;
	}

	public void setGradeName(String gradeName) {
		this.gradeName = gradeName;
	}

	public String getStdCode() {
		return stdCode;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public String getStdName() {
		return stdName;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public String getDeleteName() {
		return deleteName;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public String getDeleteTime() {
		return deleteTime;
	}

	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	public String getValidflag() {
		return validflag;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getModelDesc() {
        return modelDesc;
    }

    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }
    
    public String getProducHead(){
    	return producHead;
    }
    
    public void setProducHead(String producHead){
    	this.producHead = producHead;
    }

	public String getCodeJg() {
		return codeJg;
	}

	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}
	
	public String getSteelcodeNk() {
		return steelcodeNk;
	}

	public void setSteelcodeNk(String steelcodeNk) {
		this.steelcodeNk = steelcodeNk;
	}

	public String getSteelnameNk() {
		return steelnameNk;
	}

	public void setSteelnameNk(String steelnameNk) {
		this.steelnameNk = steelnameNk;
	}

	public String getModelCodeNk() {
		return modelCodeNk;
	}

	public void setModelCodeNk(String modelCodeNk) {
		this.modelCodeNk = modelCodeNk;
	}

	public String getModelNameNk() {
		return modelNameNk;
	}

	public void setModelNameNk(String modelNameNk) {
		this.modelNameNk = modelNameNk;
	}
	
	public String getProduccodeNk() {
		return produccodeNk;
	}

	public void setProduccodeNk(String produccodeNk) {
		this.produccodeNk = produccodeNk;
	}

	public String getProducnameNk() {
		return producnameNk;
	}

	public void setProducnameNk(String producnameNk) {
		this.producnameNk = producnameNk;
	}
	
	public String getSmeltingCnt() {
		return smeltingCnt;
	}

	public void setSmeltingCnt(String smeltingCnt) {
		this.smeltingCnt = smeltingCnt;
	}

	public String getProductCnt() {
		return productCnt;
	}

	public void setProductCnt(String productCnt) {
		this.productCnt = productCnt;
	}
	
	public String getMinD() {
		return minD;
	}

	public void setMinD(String minD) {
		this.minD = minD;
	}

	public String getMaxD() {
		return maxD;
	}

	public void setMaxD(String maxD) {
		this.maxD = maxD;
	}

	public String getMinH() {
		return minH;
	}

	public void setMinH(String minH) {
		this.minH = minH;
	}

	public String getMaxH() {
		return maxH;
	}

	public void setMaxH(String maxH) {
		this.maxH = maxH;
	}

	public String getMinDSign() {
		return minDSign;
	}

	public void setMinDSign(String minDSign) {
		this.minDSign = minDSign;
	}

	public String getMaxDSign() {
		return maxDSign;
	}

	public void setMaxDSign(String maxDSign) {
		this.maxDSign = maxDSign;
	}

	public String getMinHSign() {
		return minHSign;
	}

	public void setMinHSign(String minHSign) {
		this.minHSign = minHSign;
	}

	public String getMaxHSign() {
		return maxHSign;
	}

	public void setMaxHSign(String maxHSign) {
		this.maxHSign = maxHSign;
	}
	
	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}
}
